/* Base CSS */
body {
  font-family: var(--font-primary);
  background-color: var(--color-dark-bg);
  margin: 0;
}

/* Top Slider  */

.header-img-con {
  width: 100%;
  overflow: hidden;
  margin-top: 100px;
}

.header-img-con img {
  width: 100%;
}

.header-img-con {
  position: relative;
}

.header-img-con::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(
    0,
    0,
    0,
    0.5
  ); /* Adjust the color and opacity as needed */
  z-index: 1; /* Place the overlay above the image */
}

/* welcome section */

.welcome-section {
  margin-top: 50px;
  margin-bottom: 50px;
}

/* Heading */

.welcome-heading-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.glow {
  font-size: 60px;
  color: #fff;
  text-align: center;
}

/* About Us Section */

.about-us-section {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: auto;
}

/* Image */

.about-img-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: auto;
}

.about-img-container img {
  filter: drop-shadow(10px 10px 8px rgb(0, 0, 0));
  width: 400px;
  height: auto;
}

/* Info */

.about-info-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  height: auto;
}

.about-info-container p {
  color: white;
  font-size: larger;
  font-weight: 700;
}

/* Button */

.welcome-btn-container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  width: 90%;
  padding-right: 40px;
  margin-top: 30px;
}

.welcome-btn-container a {
  font-family: "Poppins", sans-serif;
  background-color: rgb(41, 117, 28);
  border-color: white;
  border-style: solid;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 40px;
  padding-right: 40px;
  color: white;
  cursor: pointer;
  border-radius: 8px;
  text-decoration: none;
}

.welcome-btn-container a:hover {
  background-color: white;
  border-color: rgb(41, 117, 28);
  color: rgb(41, 117, 28);
}

/* Icon Services */

.icon-services-container {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  background-color: #cccccc;
  height: 250px;
}

.icon-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 80%;
}

.icon-heading-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  background: rgb(2, 0, 36);
  background: linear-gradient(
    90deg,
    rgba(2, 0, 36, 1) 0%,
    rgba(42, 115, 29, 1) 91%,
    rgba(41, 117, 28, 1) 100%
  );
}

.icon-heading-container h1 {
  color: white;
  text-shadow: 4px 4px 8px rgba(0, 0, 0, 0.5); /* Set the text shadow properties */
  font-size: 40px;
  text-align: center;
}

.icons-service {
  text-decoration: none;
  color: rgb(41, 117, 28);
  font-size: 70px;
  text-shadow: 3px 3px 7px rgba(0, 0, 0, 0.5); /* Set the text shadow properties */
  display: inline-block;
  animation: bounce 2s infinite;
}

@keyframes bounce {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-10px);
  }
  100% {
    transform: translateY(0);
  }
}

.icon-container p {
  font-size: 20px;
  font-weight: 400;
  text-align: center;
  text-shadow: 2px 2px 6px rgba(0, 0, 0, 0.5); /* Set the text shadow properties */
  color: black;
}

.icon-container i {
  font-size: 80px;
}

/* Contact form section */

.modal {
  display: none;
  position: fixed;
  z-index: 999;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
  background-color: #fefefe;
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 400px;
}

/* Contact form */

/* Contact Form Section */

.contact-form-section {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 100px;
  padding-top: 50px;
  padding-bottom: 50px;
  background: rgb(2, 0, 36);
  background: linear-gradient(
    90deg,
    rgba(2, 0, 36, 1) 0%,
    rgba(42, 115, 29, 1) 91%,
    rgba(41, 117, 28, 1) 100%
  );
}

/* Conatct Form Info */

.contact-form-info {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-direction: column;
  width: 100%;
  padding-left: 100px;
}

.contact-form-info h2 {
  color: white;
  font-size: 40px;
  margin-bottom: 0;
}

.contact-form-info p {
  color: white;
}

.contact-form-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}

form {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

form input {
  font-family: "Poppins", sans-serif;
  height: 40px;
}

form select {
  font-family: "Poppins", sans-serif;
  height: 40px;
}

form textarea {
  font-family: "Poppins", sans-serif;
}

form button {
  font-family: "Poppins", sans-serif;
  background-color: rgb(41, 117, 28);
  border-color: white;
  border-style: solid;
  padding-top: 10px;
  padding-bottom: 10px;
  color: white;
  cursor: pointer;
  border-radius: 8px;
}

form button:hover {
  background-color: white;
  border-color: rgb(41, 117, 28);
  color: rgb(41, 117, 28);
}

#feedbackModal {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99;
}

#modalContent {
  background: white;
  padding: 20px;
  border-radius: 5px;
  position: relative;
  top: 200px;
}

.grecaptcha-badge {
  bottom: 230px !important;
}

/* Media Queries */

/* Mobile Portrait */
@media (max-width: 768px) and (orientation: portrait) {
  .header-img-con {
    margin-top: 128px;
  }

  .welcome-section {
    margin-top: 20px;
    margin-bottom: 20px;
  }

  .glow {
    font-size: 25px;
    margin-bottom: 0;
  }

  .about-us-section {
    flex-direction: column;
  }

  .about-img-container,
  .about-info-container {
    width: 100%;
    padding: 0 0;
  }

  .about-img-container img {
    width: 300px;
  }

  .about-info-container p {
    font-size: small;
    text-align: center;
  }

  .welcome-btn-container {
    justify-content: center;
    padding: 0;
  }

  .icon-services-container {
    flex-direction: column;
    height: auto;
  }

  .icon-container {
    width: 100%;
    margin-bottom: 20px;
  }

  .icon-heading-container h1 {
    font-size: 25px;
    text-align: center;
  }

  .icons-service {
    font-size: 40px;
  }

  .icon-container p {
    text-align: center;
    font-size: 16px;
  }

  .contact-form-section {
    flex-direction: column;

    gap: 20px;
  }

  .contact-form-info {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    text-align: center;
  }

  form input {
    width: 300px;
  }
  form select {
    width: 310px;
  }
  form textarea {
    width: 300px;
  }

  .contact-form-info h2 {
    font-size: 25px;
    text-align: center;
  }

  .contact-form-info p,
  .contact-form-container {
    width: 100%;
  }

  form button {
    width: 300px;
  }

  .contact-form-container form {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }
}

/* Mobile Landscape */
@media (max-width: 846px) and (orientation: landscape) {
  .header-img-con {
    margin-top: 128px;
  }

  .welcome-section {
    margin-top: 20px;
    margin-bottom: 20px;
  }

  .glow {
    font-size: 25px;
    margin-bottom: 0;
  }

  .about-info-container p {
    font-size: small;
    text-align: center;
  }

  .about-us-section {
    flex-direction: column;
  }

  .about-img-container img {
    width: 300px;
  }

  .about-img-container,
  .about-info-container {
    width: 100%;
    padding: 0 20px;
  }

  .welcome-btn-container {
    justify-content: center;
    padding: 0;
  }

  .icon-services-container {
    flex-direction: column;
    height: auto;
  }

  .icon-container {
    width: 100%;
    margin-bottom: 20px;
  }

  .icon-heading-container h1 {
    font-size: 30px;
  }

  .icons-service {
    font-size: 50px;
  }

  .icon-container p {
    font-size: 18px;
  }

  .contact-form-section {
    flex-direction: column;

    gap: 20px;
  }

  .contact-form-info {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    text-align: center;
  }

  form input {
    width: 300px;
  }
  form select {
    width: 310px;
  }
  form textarea {
    width: 300px;
  }

  .contact-form-info h2 {
    font-size: 25px;
    text-align: center;
  }

  .contact-form-info p,
  .contact-form-container {
    width: 100%;
  }

  form button {
    width: 300px;
  }

  .contact-form-container form {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }
}

/* Tablet Portrait */
@media (min-width: 768px) and (max-width: 1366px) and (orientation: portrait) {
  .header-img-con {
    margin-top: 130px;
  }

  .welcome-section {
    margin-top: 30px;
    margin-bottom: 30px;
  }

  .glow {
    font-size: 30px;
  }

  .about-us-section {
    flex-direction: column;
  }

  .about-img-container,
  .about-info-container {
    width: 100%;
    padding: 0 30px;
  }

  .about-info-container p {
    font-size: small;
    text-align: center;
  }

  .welcome-btn-container {
    justify-content: center;
    padding: 0;
  }

  .icon-services-container {
    flex-direction: column;
    height: auto;
    padding: 0 0;
  }

  .icon-container {
    width: 100%;
    margin-bottom: 30px;
  }

  .icon-heading-container h1 {
    font-size: 35px;
  }

  .icons-service {
    font-size: 60px;
  }

  .icon-container p {
    font-size: 20px;
  }

  .contact-form-section {
    flex-direction: column;
    gap: 30px;
  }

  .contact-form-info {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    text-align: center;
  }

  .contact-form-info h2 {
    font-size: 35px;
  }

  form input {
    width: 300px;
  }
  form select {
    width: 310px;
  }
  form textarea {
    width: 300px;
  }

  .contact-form-info p,
  .contact-form-container {
    width: 100%;
  }

  form button {
    width: 300px;
  }

  .contact-form-container form {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }
}

/* Tablet Landscape */
@media only screen and (min-width: 768px) and (max-width: 1366px) and (orientation: landscape) {
  .header-img-con {
    margin-top: 130px;
  }

  .welcome-section {
    margin-top: 30px;
    margin-bottom: 30px;
  }

  .glow {
    font-size: 30px;
  }

  .about-us-section {
    flex-direction: column;
  }

  .about-img-container,
  .about-info-container {
    width: 100%;
    padding: 0 30px;
  }

  .about-info-container p {
    font-size: small;
    text-align: center;
  }

  .welcome-btn-container {
    justify-content: center;
    padding: 0;
  }

  .icon-services-container {
    flex-direction: column;
    height: auto;
    padding: 0 0;
  }

  .icon-container {
    width: 100%;
    margin-bottom: 30px;
  }

  .icon-heading-container h1 {
    font-size: 35px;
  }

  .icons-service {
    font-size: 60px;
  }

  .icon-container p {
    font-size: 20px;
  }

  .contact-form-section {
    flex-direction: column;
    gap: 30px;
  }

  .contact-form-info {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
    text-align: center;
  }

  .contact-form-info h2 {
    font-size: 35px;
  }

  form input {
    width: 300px;
  }
  form select {
    width: 310px;
  }
  form textarea {
    width: 300px;
  }

  .contact-form-info p,
  .contact-form-container {
    width: 100%;
  }

  form button {
    width: 300px;
  }

  .contact-form-container form {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
  }
}
